Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ASM/asminc.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ASM/asminc.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ASM/asminc.F90	(revision 9814)
@@ -421,5 +421,5 @@
                   END DO
                END DO
-               CALL lbc_lnk( zhdiv, 'T', 1. )   ! lateral boundary cond. (no sign change)
+               CALL lbc_lnk("asminc",zhdiv, 'T', 1. )   ! lateral boundary cond. (no sign change)
                !
                DO jj = 2, jpjm1
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/BDY/bdydyn3d.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/BDY/bdydyn3d.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/BDY/bdydyn3d.F90	(revision 9814)
@@ -319,5 +319,5 @@
       END DO
       !
-      CALL lbc_lnk_multi( ua, 'U', -1.,  va, 'V', -1. )   ! Boundary points should be updated
+      CALL lbc_lnk_multi("bdydyn3d",ua, 'U', -1.,  va, 'V', -1. )   ! Boundary points should be updated
       !
       IF( ln_timing )   CALL timing_stop('bdy_dyn3d_dmp')
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/BDY/bdyini.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/BDY/bdyini.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/BDY/bdyini.F90	(revision 9814)
@@ -1133,5 +1133,5 @@
          END DO
       END DO
-      CALL lbc_lnk_multi( bdyumask, 'U', 1. , bdyvmask, 'V', 1. )   ! Lateral boundary cond. 
+      CALL lbc_lnk_multi("bdyini",bdyumask, 'U', 1. , bdyvmask, 'V', 1. )   ! Lateral boundary cond. 
 
       ! bdy masks are now set to zero on boundary points:
@@ -1168,6 +1168,6 @@
 
       ! Lateral boundary conditions
-      CALL lbc_lnk( zfmask, 'F', 1. ) 
-      CALL lbc_lnk_multi( bdyumask, 'U', 1. , bdyvmask, 'V', 1., bdytmask, 'T', 1. )
+      CALL lbc_lnk("bdyini",zfmask, 'F', 1. ) 
+      CALL lbc_lnk_multi("bdyini",bdyumask, 'U', 1. , bdyvmask, 'V', 1., bdytmask, 'T', 1. )
       DO ib_bdy = 1, nb_bdy       ! Indices and directions of rim velocity components
 
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/CRS/crsfld.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/CRS/crsfld.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/CRS/crsfld.F90	(revision 9814)
@@ -164,5 +164,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z3d, 'T', 1. )
+         CALL lbc_lnk("crsfld",z3d, 'T', 1. )
          !
          CALL crs_dom_ope( z3d, 'VOL', 'T', tmask, zt_crs, p_e12=e1e2t, p_e3=ze3t, psgn=1.0 )
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/CRS/crslbclnk.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/CRS/crslbclnk.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/CRS/crslbclnk.F90	(revision 9814)
@@ -55,6 +55,6 @@
       IF( .NOT.ll_grid_crs )   CALL dom_grid_crs   ! Save the parent grid information  & Switch to coarse grid domain
       !
-      IF( PRESENT( cd_mpp ) ) THEN   ;   CALL lbc_lnk( pt3d1, cd_type1, psgn, cd_mpp, pval=zval  )
-      ELSE                           ;   CALL lbc_lnk( pt3d1, cd_type1, psgn        , pval=zval  )
+      IF( PRESENT( cd_mpp ) ) THEN   ;   CALL lbc_lnk("crslbclnk",pt3d1, cd_type1, psgn, cd_mpp, pval=zval  )
+      ELSE                           ;   CALL lbc_lnk("crslbclnk",pt3d1, cd_type1, psgn        , pval=zval  )
       ENDIF
       !
@@ -92,6 +92,6 @@
       IF( .NOT.ll_grid_crs )   CALL dom_grid_crs   ! Save the parent grid information  & Switch to coarse grid domain
       !
-      IF( PRESENT( cd_mpp ) ) THEN   ;   CALL lbc_lnk( pt2d, cd_type, psgn, cd_mpp, pval=zval  )
-      ELSE                           ;   CALL lbc_lnk( pt2d, cd_type, psgn        , pval=zval  )
+      IF( PRESENT( cd_mpp ) ) THEN   ;   CALL lbc_lnk("crslbclnk",pt2d, cd_type, psgn, cd_mpp, pval=zval  )
+      ELSE                           ;   CALL lbc_lnk("crslbclnk",pt2d, cd_type, psgn        , pval=zval  )
       ENDIF
       !
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DIA/diaar5.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DIA/diaar5.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DIA/diaar5.F90	(revision 9814)
@@ -245,5 +245,5 @@
          ENDIF
 !!gm useless lbc_lnk since the computation above is performed over 1:jpi & 1:jpj
-!!gm           CALL lbc_lnk( zpe, 'T', 1._wp)         
+!!gm           CALL lbc_lnk("diaar5",zpe, 'T', 1._wp)         
           CALL iom_put( 'tnpeo', zpe )
           DEALLOCATE( zpe )
@@ -285,5 +285,5 @@
          END DO
        END DO
-       CALL lbc_lnk( z2d, 'U', -1. )
+       CALL lbc_lnk("diaar5",z2d, 'U', -1. )
        IF( cptr == 'adv' ) THEN
           IF( ktra == jp_tem ) CALL iom_put( "uadv_heattr" , rau0_rcp * z2d )  ! advective heat transport in i-direction
@@ -303,5 +303,5 @@
           END DO
        END DO
-       CALL lbc_lnk( z2d, 'V', -1. )
+       CALL lbc_lnk("diaar5",z2d, 'V', -1. )
        IF( cptr == 'adv' ) THEN
           IF( ktra == jp_tem ) CALL iom_put( "vadv_heattr" , rau0_rcp * z2d )  ! advective heat transport in j-direction
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DIA/diawri.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DIA/diawri.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DIA/diawri.F90	(revision 9814)
@@ -181,5 +181,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'T', 1. )
+         CALL lbc_lnk( "diawri",z2d, 'T', 1. )
          CALL iom_put( "taubot", z2d )           
       ENDIF
@@ -237,5 +237,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'T', 1. )
+         CALL lbc_lnk( "diawri",z2d, 'T', 1. )
          CALL iom_put( "sstgrad2",  z2d )          ! square of module of sst gradient
          z2d(:,:) = SQRT( z2d(:,:) )
@@ -281,5 +281,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z3d, 'T', 1. )
+         CALL lbc_lnk( "diawri",z3d, 'T', 1. )
          CALL iom_put( "eken", z3d )                 ! kinetic energy
       ENDIF
@@ -307,5 +307,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'U', -1. )
+         CALL lbc_lnk( "diawri",z2d, 'U', -1. )
          CALL iom_put( "u_heattr", 0.5*rcp * z2d )    ! heat transport in i-direction
       ENDIF
@@ -320,5 +320,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'U', -1. )
+         CALL lbc_lnk( "diawri",z2d, 'U', -1. )
          CALL iom_put( "u_salttr", 0.5 * z2d )        ! heat transport in i-direction
       ENDIF
@@ -342,5 +342,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'V', -1. )
+         CALL lbc_lnk( "diawri",z2d, 'V', -1. )
          CALL iom_put( "v_heattr", 0.5*rcp * z2d )    !  heat transport in j-direction
       ENDIF
@@ -355,5 +355,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'V', -1. )
+         CALL lbc_lnk( "diawri",z2d, 'V', -1. )
          CALL iom_put( "v_salttr", 0.5 * z2d )        !  heat transport in j-direction
       ENDIF
@@ -368,5 +368,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'T', -1. )
+         CALL lbc_lnk( "diawri",z2d, 'T', -1. )
          CALL iom_put( "tosmint", rau0 * z2d )        ! Vertical integral of temperature
       ENDIF
@@ -380,5 +380,5 @@
             END DO
          END DO
-         CALL lbc_lnk( z2d, 'T', -1. )
+         CALL lbc_lnk( "diawri",z2d, 'T', -1. )
          CALL iom_put( "somint", rau0 * z2d )         ! Vertical integral of salinity
       ENDIF
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/closea.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/closea.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/closea.F90	(revision 9814)
@@ -396,5 +396,5 @@
       emp (:,:) = emp (:,:) * tmask(:,:,1)
       !
-      CALL lbc_lnk( emp , 'T', 1._wp )
+      CALL lbc_lnk("closea",emp , 'T', 1._wp )
       !
    END SUBROUTINE sbc_clo
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/dommsk.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/dommsk.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/dommsk.F90	(revision 9814)
@@ -145,5 +145,5 @@
 !SF  add here lbc_lnk: bug not still understood : cause now domain configuration is read !
 !!gm I don't understand why...  
-      CALL lbc_lnk( tmask  , 'T', 1._wp )      ! Lateral boundary conditions
+      CALL lbc_lnk("dommsk",tmask  , 'T', 1._wp )      ! Lateral boundary conditions
 
      ! Mask corrections for bdy (read in mppini2)
@@ -183,5 +183,5 @@
          END DO
       END DO
-      CALL lbc_lnk_multi( umask, 'U', 1., vmask, 'V', 1., fmask, 'F', 1. )      ! Lateral boundary conditions
+      CALL lbc_lnk_multi("dommsk",umask, 'U', 1., vmask, 'V', 1., fmask, 'F', 1. )      ! Lateral boundary conditions
  
       ! Ocean/land mask at wu-, wv- and w points    (computed from tmask)
@@ -283,5 +283,5 @@
          DEALLOCATE( zwf )
          !
-         CALL lbc_lnk( fmask, 'F', 1._wp )      ! Lateral boundary conditions on fmask
+         CALL lbc_lnk("dommsk",fmask, 'F', 1._wp )      ! Lateral boundary conditions on fmask
          !
          ! CAUTION : The fmask may be further modified in dyn_vor_init ( dynvor.F90 ) depending on ln_vorlat
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/domvvl.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/domvvl.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/domvvl.F90	(revision 9814)
@@ -408,5 +408,5 @@
          !                       ! d - thickness diffusion transport: boundary conditions
          !                             (stored for tracer advction and continuity equation)
-         CALL lbc_lnk_multi( un_td , 'U' , -1._wp, vn_td , 'V' , -1._wp)
+         CALL lbc_lnk_multi("domvvl",un_td , 'U' , -1._wp, vn_td , 'V' , -1._wp)
 
          ! 4 - Time stepping of baroclinic scale factors
@@ -419,5 +419,5 @@
             z2dt = 2.0_wp * rdt
          ENDIF
-         CALL lbc_lnk( tilde_e3t_a(:,:,:), 'T', 1._wp )
+         CALL lbc_lnk("domvvl",tilde_e3t_a(:,:,:), 'T', 1._wp )
          tilde_e3t_a(:,:,:) = tilde_e3t_b(:,:,:) + z2dt * tmask(:,:,:) * tilde_e3t_a(:,:,:)
 
@@ -711,5 +711,5 @@
             END DO
          END DO
-         CALL lbc_lnk( pe3_out(:,:,:), 'U', 1._wp )
+         CALL lbc_lnk("domvvl",pe3_out(:,:,:), 'U', 1._wp )
          pe3_out(:,:,:) = pe3_out(:,:,:) + e3u_0(:,:,:)
          !
@@ -724,5 +724,5 @@
             END DO
          END DO
-         CALL lbc_lnk( pe3_out(:,:,:), 'V', 1._wp )
+         CALL lbc_lnk("domvvl",pe3_out(:,:,:), 'V', 1._wp )
          pe3_out(:,:,:) = pe3_out(:,:,:) + e3v_0(:,:,:)
          !
@@ -738,5 +738,5 @@
             END DO
          END DO
-         CALL lbc_lnk( pe3_out(:,:,:), 'F', 1._wp )
+         CALL lbc_lnk("domvvl",pe3_out(:,:,:), 'F', 1._wp )
          pe3_out(:,:,:) = pe3_out(:,:,:) + e3f_0(:,:,:)
          !
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/domwri.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/domwri.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/domwri.F90	(revision 9814)
@@ -210,5 +210,5 @@
       !
       puniq(:,:) = ztstref(:,:)                   ! default definition
-      CALL lbc_lnk( puniq, cdgrd, 1. )            ! apply boundary conditions
+      CALL lbc_lnk("domwri",puniq, cdgrd, 1. )            ! apply boundary conditions
       lldbl(:,:,1) = puniq(:,:) == ztstref(:,:)   ! check which values have been changed 
       !
@@ -271,5 +271,5 @@
          END DO
       END DO
-      CALL lbc_lnk( zx1, 'T', 1. )
+      CALL lbc_lnk("domwri",zx1, 'T', 1. )
       !
       IF( PRESENT( px1 ) )    px1 = zx1
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/domzgr.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/domzgr.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/domzgr.F90	(revision 9814)
@@ -307,10 +307,10 @@
       END DO
       ! converte into REAL to use lbc_lnk ; impose a min value of 1 as a zero can be set in lbclnk 
-      zk(:,:) = REAL( miku(:,:), wp )   ;   CALL lbc_lnk( zk, 'U', 1. )   ;   miku(:,:) = MAX( INT( zk(:,:) ), 1 )
-      zk(:,:) = REAL( mikv(:,:), wp )   ;   CALL lbc_lnk( zk, 'V', 1. )   ;   mikv(:,:) = MAX( INT( zk(:,:) ), 1 )
-      zk(:,:) = REAL( mikf(:,:), wp )   ;   CALL lbc_lnk( zk, 'F', 1. )   ;   mikf(:,:) = MAX( INT( zk(:,:) ), 1 )
-      !
-      zk(:,:) = REAL( mbku(:,:), wp )   ;   CALL lbc_lnk( zk, 'U', 1. )   ;   mbku(:,:) = MAX( INT( zk(:,:) ), 1 )
-      zk(:,:) = REAL( mbkv(:,:), wp )   ;   CALL lbc_lnk( zk, 'V', 1. )   ;   mbkv(:,:) = MAX( INT( zk(:,:) ), 1 )
+      zk(:,:) = REAL( miku(:,:), wp )   ;   CALL lbc_lnk("domzgr",zk, 'U', 1. )   ;   miku(:,:) = MAX( INT( zk(:,:) ), 1 )
+      zk(:,:) = REAL( mikv(:,:), wp )   ;   CALL lbc_lnk("domzgr",zk, 'V', 1. )   ;   mikv(:,:) = MAX( INT( zk(:,:) ), 1 )
+      zk(:,:) = REAL( mikf(:,:), wp )   ;   CALL lbc_lnk("domzgr",zk, 'F', 1. )   ;   mikf(:,:) = MAX( INT( zk(:,:) ), 1 )
+      !
+      zk(:,:) = REAL( mbku(:,:), wp )   ;   CALL lbc_lnk("domzgr",zk, 'U', 1. )   ;   mbku(:,:) = MAX( INT( zk(:,:) ), 1 )
+      zk(:,:) = REAL( mbkv(:,:), wp )   ;   CALL lbc_lnk("domzgr",zk, 'V', 1. )   ;   mbkv(:,:) = MAX( INT( zk(:,:) ), 1 )
       !
    END SUBROUTINE zgr_top_bot
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/iscplrst.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/iscplrst.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DOM/iscplrst.F90	(revision 9814)
@@ -175,5 +175,5 @@
             END DO
          END DO
-         CALL lbc_lnk_multi( sshn, 'T', 1., zsmask1, 'T', 1. )
+         CALL lbc_lnk_multi("iscplrst",sshn, 'T', 1., zsmask1, 'T', 1. )
          zssh0   = sshn
          zsmask0 = zsmask1
@@ -344,5 +344,5 @@
           END DO
           
-          CALL lbc_lnk_multi( tsn(:,:,:,jp_tem), 'T', 1., tsn(:,:,:,jp_sal), 'T', 1., ztmask1, 'T', 1.)
+          CALL lbc_lnk_multi("iscplrst",tsn(:,:,:,jp_tem), 'T', 1., tsn(:,:,:,jp_sal), 'T', 1., ztmask1, 'T', 1.)
 
           ! update
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/divhor.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/divhor.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/divhor.F90	(revision 9814)
@@ -104,5 +104,5 @@
       IF( ln_iscpl .AND. ln_hsb )   CALL iscpl_div( hdivn ) !==  ice sheet  ==!   (update hdivn field)
       !
-      CALL lbc_lnk( hdivn, 'T', 1. )   !   (no sign change)
+      CALL lbc_lnk("divhor",hdivn, 'T', 1. )   !   (no sign change)
       !
       IF( ln_timing )   CALL timing_stop('div_hor')
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynadv_ubs.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynadv_ubs.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynadv_ubs.F90	(revision 9814)
@@ -123,5 +123,5 @@
          END DO
       END DO
-      CALL lbc_lnk_multi( zlu_uu(:,:,:,1), 'U', 1. , zlu_uv(:,:,:,1), 'U', 1.,  &
+      CALL lbc_lnk_multi("dynadv_ubs",zlu_uu(:,:,:,1), 'U', 1. , zlu_uv(:,:,:,1), 'U', 1.,  &
                       &   zlu_uu(:,:,:,2), 'U', 1. , zlu_uv(:,:,:,2), 'U', 1.,  & 
                       &   zlv_vv(:,:,:,1), 'V', 1. , zlv_vu(:,:,:,1), 'V', 1.,  &
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynhpg.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynhpg.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynhpg.F90	(revision 9814)
@@ -490,5 +490,5 @@
            END DO
         END DO
-        CALL lbc_lnk_multi( zcpx, 'U', 1., zcpy, 'V', 1. )
+        CALL lbc_lnk_multi("dynhpg",zcpx, 'U', 1., zcpy, 'V', 1. )
       END IF
 
@@ -723,5 +723,5 @@
            END DO
         END DO
-        CALL lbc_lnk_multi( zcpx, 'U', 1., zcpy, 'V', 1. )
+        CALL lbc_lnk_multi("dynhpg",zcpx, 'U', 1., zcpy, 'V', 1. )
       END IF
 
@@ -883,5 +883,5 @@
          END DO
       END DO
-      CALL lbc_lnk_multi( rho_k, 'W', 1., rho_i, 'U', 1., rho_j, 'V', 1. )
+      CALL lbc_lnk_multi("dynhpg",rho_k, 'W', 1., rho_i, 'U', 1., rho_j, 'V', 1. )
 
       ! ---------------
@@ -1016,5 +1016,5 @@
             END DO
          END DO
-         CALL lbc_lnk_multi( zcpx, 'U', 1., zcpy, 'V', 1. )
+         CALL lbc_lnk_multi("dynhpg",zcpx, 'U', 1., zcpy, 'V', 1. )
       ENDIF
 
@@ -1102,5 +1102,5 @@
       END DO
 
-      CALL lbc_lnk_multi (zsshu_n, 'U', 1., zsshv_n, 'V', 1. )
+      CALL lbc_lnk_multi("dynhpg",zsshu_n, 'U', 1., zsshv_n, 'V', 1. )
 
       DO jj = 2, jpjm1
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynkeg.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynkeg.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynkeg.F90	(revision 9814)
@@ -158,5 +158,5 @@
             END DO
          END DO
-         CALL lbc_lnk( zhke, 'T', 1. )
+         CALL lbc_lnk("dynkeg",zhke, 'T', 1. )
          !
       END SELECT
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynldf_iso.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynldf_iso.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynldf_iso.F90	(revision 9814)
@@ -136,5 +136,5 @@
          END DO
          ! Lateral boundary conditions on the slopes
-         CALL lbc_lnk_multi( uslp , 'U', -1., vslp , 'V', -1., wslpi, 'W', -1., wslpj, 'W', -1. )
+         CALL lbc_lnk_multi("dynldf_iso",uslp , 'U', -1., vslp , 'V', -1., wslpi, 'W', -1., wslpj, 'W', -1. )
          !
        ENDIF
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynldf_lap_blp.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynldf_lap_blp.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynldf_lap_blp.F90	(revision 9814)
@@ -136,5 +136,5 @@
       CALL dyn_ldf_lap( kt, pub, pvb, zulap, zvlap, 1 )   ! rotated laplacian applied to ptb (output in zlap)
       !
-      CALL lbc_lnk_multi( zulap, 'U', -1., zvlap, 'V', -1. )             ! Lateral boundary conditions
+      CALL lbc_lnk_multi("dynldf_lap_blp",zulap, 'U', -1., zvlap, 'V', -1. )             ! Lateral boundary conditions
       !
       CALL dyn_ldf_lap( kt, zulap, zvlap, pua, pva, 2 )   ! rotated laplacian applied to zlap (output in pta)
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynnxt.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynnxt.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynnxt.F90	(revision 9814)
@@ -144,5 +144,5 @@
 # endif
       !
-      CALL lbc_lnk_multi( ua, 'U', -1., va, 'V', -1. )     !* local domain boundaries
+      CALL lbc_lnk_multi("dynnxt",ua, 'U', -1., va, 'V', -1. )     !* local domain boundaries
       !
       !                                !* BDY open boundaries
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynspg_ts.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynspg_ts.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynspg_ts.F90	(revision 9814)
@@ -262,5 +262,5 @@
                END DO
             END SELECT
-            CALL lbc_lnk( zwz, 'F', 1._wp )
+            CALL lbc_lnk("dynspg_ts",zwz, 'F', 1._wp )
             !
             ftne(1,:) = 0._wp ; ftnw(1,:) = 0._wp ; ftse(1,:) = 0._wp ; ftsw(1,:) = 0._wp
@@ -330,5 +330,5 @@
                END DO
             END DO
-            CALL lbc_lnk( zhf, 'F', 1._wp )
+            CALL lbc_lnk("dynspg_ts",zhf, 'F', 1._wp )
             ! JC: TBC. hf should be greater than 0 
             DO jj = 1, jpj
@@ -777,5 +777,5 @@
                END DO
             END DO
-            CALL lbc_lnk_multi( zwx, 'U', 1._wp, zwy, 'V', 1._wp )
+            CALL lbc_lnk_multi("dynspg_ts",zwx, 'U', 1._wp, zwy, 'V', 1._wp )
             !
             zhup2_e(:,:) = hu_0(:,:) + zwx(:,:)                ! Ocean depth at U- and V-points
@@ -868,5 +868,5 @@
          ssha_e(:,:) = (  sshn_e(:,:) - rdtbt * ( zssh_frc(:,:) + zhdiv(:,:) )  ) * ssmask(:,:)
          
-         CALL lbc_lnk( ssha_e, 'T',  1._wp )
+         CALL lbc_lnk("dynspg_ts",ssha_e, 'T',  1._wp )
 
          ! Duplicate sea level across open boundaries (this is only cosmetic if linssh=T)
@@ -888,5 +888,5 @@
                END DO
             END DO
-            CALL lbc_lnk_multi( zsshu_a, 'U', 1._wp, zsshv_a, 'V', 1._wp )
+            CALL lbc_lnk_multi("dynspg_ts",zsshu_a, 'U', 1._wp, zsshv_a, 'V', 1._wp )
          ENDIF   
          !                                 
@@ -1153,5 +1153,5 @@
          ENDIF
          !                                             !* domain lateral boundary
-         CALL lbc_lnk_multi( ua_e, 'U', -1._wp, va_e , 'V', -1._wp )
+         CALL lbc_lnk_multi("dynspg_ts",ua_e, 'U', -1._wp, va_e , 'V', -1._wp )
          !
          !                                                 ! open boundaries
@@ -1239,5 +1239,5 @@
             END DO
          END DO
-         CALL lbc_lnk_multi( zsshu_a, 'U', 1._wp, zsshv_a, 'V', 1._wp ) ! Boundary conditions
+         CALL lbc_lnk_multi("dynspg_ts",zsshu_a, 'U', 1._wp, zsshv_a, 'V', 1._wp ) ! Boundary conditions
          !
          DO jk=1,jpkm1
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynvor.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynvor.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/dynvor.F90	(revision 9814)
@@ -242,5 +242,5 @@
                END DO
             ENDIF
-            CALL lbc_lnk( zwz, 'F', 1. )
+            CALL lbc_lnk("dynvor",zwz, 'F', 1. )
             DO jj = 2, jpj
                DO ji = 2, jpi   ! vector opt.
@@ -270,5 +270,5 @@
                END DO
             ENDIF
-            CALL lbc_lnk( zwz, 'F', 1. )
+            CALL lbc_lnk("dynvor",zwz, 'F', 1. )
             DO jj = 2, jpj
                DO ji = 2, jpi   ! vector opt.
@@ -635,5 +635,5 @@
          ENDIF
          !
-         CALL lbc_lnk( zwz, 'F', 1. )
+         CALL lbc_lnk("dynvor",zwz, 'F', 1. )
          !
          !                                   !==  horizontal fluxes  ==!
@@ -765,5 +765,5 @@
          ENDIF
          !
-         CALL lbc_lnk( zwz, 'F', 1. )
+         CALL lbc_lnk("dynvor",zwz, 'F', 1. )
          !
          !                                   !==  horizontal fluxes  ==!
@@ -863,5 +863,5 @@
          END DO
          !
-         CALL lbc_lnk( fmask, 'F', 1._wp )      ! Lateral boundary conditions on fmask
+         CALL lbc_lnk("dynvor",fmask, 'F', 1._wp )      ! Lateral boundary conditions on fmask
          !
       ENDIF
@@ -903,5 +903,5 @@
                END DO
             END DO
-            CALL lbc_lnk_multi( di_e2u_2, 'T', -1. , dj_e1v_2, 'T', -1. )   ! Lateral boundary conditions
+            CALL lbc_lnk_multi("dynvor",di_e2u_2, 'T', -1. , dj_e1v_2, 'T', -1. )   ! Lateral boundary conditions
             !
          CASE DEFAULT                        !* F-point metric term :   pre-compute di(e2u)/(2*e1e2f) and dj(e1v)/(2*e1e2f)
@@ -913,5 +913,5 @@
                END DO
             END DO
-            CALL lbc_lnk_multi( di_e2v_2e1e2f, 'F', -1. , dj_e1u_2e1e2f, 'F', -1. )   ! Lateral boundary conditions
+            CALL lbc_lnk_multi("dynvor",di_e2v_2e1e2f, 'F', -1. , dj_e1u_2e1e2f, 'F', -1. )   ! Lateral boundary conditions
          END SELECT
          !
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/sshwzv.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/sshwzv.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/sshwzv.F90	(revision 9814)
@@ -110,5 +110,5 @@
       IF ( .NOT.ln_dynspg_ts ) THEN
          IF( ln_bdy ) THEN
-            CALL lbc_lnk( ssha, 'T', 1. )    ! Not sure that's necessary
+            CALL lbc_lnk("sshwzv",ssha, 'T', 1. )    ! Not sure that's necessary
             CALL bdy_ssh( ssha )             ! Duplicate sea level across open boundaries
          ENDIF
@@ -174,5 +174,5 @@
             END DO
          END DO
-         CALL lbc_lnk(zhdiv, 'T', 1.)  ! - ML - Perhaps not necessary: not used for horizontal "connexions"
+         CALL lbc_lnk("sshwzv",zhdiv, 'T', 1.)  ! - ML - Perhaps not necessary: not used for horizontal "connexions"
          !                             ! Is it problematic to have a wrong vertical velocity in boundary cells?
          !                             ! Same question holds for hdivn. Perhaps just for security
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/wet_dry.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/wet_dry.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/DYN/wet_dry.F90	(revision 9814)
@@ -241,5 +241,5 @@
             END DO
          END DO
-         CALL lbc_lnk_multi( zwdlmtu, 'U', 1., zwdlmtv, 'V', 1. )
+         CALL lbc_lnk_multi("wet_dry",zwdlmtu, 'U', 1., zwdlmtv, 'V', 1. )
          !
          IF( lk_mpp )   CALL mpp_max(jflag)   !max over the global domain
@@ -257,6 +257,6 @@
       !
 !!gm TO BE SUPPRESSED ?  these lbc_lnk are useless since zwdlmtu and zwdlmtv are defined everywhere !
-      CALL lbc_lnk_multi( un  , 'U', -1., vn  , 'V', -1. )
-      CALL lbc_lnk_multi( un_b, 'U', -1., vn_b, 'V', -1. )
+      CALL lbc_lnk_multi("wet_dry",un  , 'U', -1., vn  , 'V', -1. )
+      CALL lbc_lnk_multi("wet_dry",un_b, 'U', -1., vn_b, 'V', -1. )
 !!gm
       !
@@ -370,5 +370,5 @@
          END DO  ! jj loop
          !
-         CALL lbc_lnk_multi( zwdlmtu, 'U', 1., zwdlmtv, 'V', 1. )
+         CALL lbc_lnk_multi("wet_dry",zwdlmtu, 'U', 1., zwdlmtv, 'V', 1. )
          !
          IF(lk_mpp) CALL mpp_max(jflag)   !max over the global domain
@@ -382,5 +382,5 @@
       !
 !!gm THIS lbc_lnk is useless since it is already done at the end of the jk1-loop
-      CALL lbc_lnk_multi( zflxu, 'U', -1., zflxv, 'V', -1. )
+      CALL lbc_lnk_multi("wet_dry",zflxu, 'U', -1., zflxv, 'V', -1. )
 !!gm end
       !
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ICB/icbclv.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ICB/icbclv.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ICB/icbclv.F90	(revision 9814)
@@ -173,7 +173,7 @@
       !
       DO jn = 1, nclasses
-         CALL lbc_lnk( berg_grid%stored_ice(:,:,jn), 'T', 1._wp )
+         CALL lbc_lnk("icbclv",berg_grid%stored_ice(:,:,jn), 'T', 1._wp )
       END DO
-      CALL lbc_lnk( berg_grid%stored_heat, 'T', 1._wp )
+      CALL lbc_lnk("icbclv",berg_grid%stored_heat, 'T', 1._wp )
       !
       IF( nn_verbose_level > 0 .AND. icntmax > 1 )   WRITE(numicb,*) 'icb_clv: icnt=', icnt,' on', narea
Index: /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ICB/icbini.F90
===================================================================
--- /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ICB/icbini.F90	(revision 9813)
+++ /NEMO/branches/2018/dev_r9759_HPC09_ESIWACE/src/OCE/ICB/icbini.F90	(revision 9814)
@@ -114,6 +114,6 @@
          END DO
       END DO
-      CALL lbc_lnk( src_calving_hflx, 'T', 1._wp )
-      CALL lbc_lnk( src_calving     , 'T', 1._wp )
+      CALL lbc_lnk("icbini",src_calving_hflx, 'T', 1._wp )
+      CALL lbc_lnk("icbini",src_calving     , 'T', 1._wp )
 
       ! work out interior of processor from exchange array
